## bsh
Interface ConsoleInterface

All Known Implementing Classes:
  Interpreter

public interface ConsoleInterface

The capabilities of a minimal console for BeanShell. Stream I/O and optimized print for output. A simple console may ignore some of these or map them to trivial implementations. e.g. print() with color can be mapped to plain text.

See Also:
  `bsh.util.GUIConsoleInterface`

Method Summary
`void` `error(java.lang.Object o)`
`java.io.PrintStream` `getErr()`
`java.io.Reader` `getIn()`
`java.io.PrintStream` `getOut()`
`void` `print(java.lang.Object o)`
`void` `println(java.lang.Object o)`

Method Detail

### getIn

    public java.io.Reader getIn()

### getOut

    public java.io.PrintStream getOut()

### getErr

    public java.io.PrintStream getErr()

### println

    public void println(java.lang.Object o)

### print

    public void print(java.lang.Object o)

### error

    public void error(java.lang.Object o)